LibreOffice LibreOffice 6.1 SDK C/C++ API Reference

Classes | Functions
salhelper Namespace Reference

## Classes
class | Condition
class | ConditionModifier
class | ConditionWaiter
class | LinkResolver
class | ODynamicLoader
| The ODynamicLoader provides a special load on call mechanism for dynamic libraries which support a C-API. More...
class | ORealDynamicLoader
| The ORealDynamicLoader is an implementation helper class for the template loader ODynamicLoader. More...
class | ReferenceObject
| A base implementation for reference-counted objects. More...
class | SimpleReferenceObject
| A simple base implementation for reference-counted objects. More...
class | SingletonRef
| template for implementing singleton classes. More...
class | Thread
| A safe encapsulation of osl::Thread. More...
class | Timer
| Interface for the Timer and handling the event. More...
struct | TTimeValue
| Helper class for easier manipulation with TimeValue. More...

## Functions
bool | operator< (const TTimeValue &rTimeA, const TTimeValue &rTimeB)
bool | operator> (const TTimeValue &rTimeA, const TTimeValue &rTimeB)
bool | operator== (const TTimeValue &rTimeA, const TTimeValue &rTimeB)

## Function Documentation

## ◆ operator<()

bool salhelper::operator< | ( | const TTimeValue & | rTimeA,
|  | const TTimeValue & | rTimeB
| ) |  |
| inline

## ◆ operator==()

bool salhelper::operator== | ( | const TTimeValue & | rTimeA,
|  | const TTimeValue & | rTimeB
| ) |  |
| inline

## ◆ operator>()

bool salhelper::operator> | ( | const TTimeValue & | rTimeA,
|  | const TTimeValue & | rTimeB
| ) |  |
| inline